Cubase iC Pro 1.2.2 and SKI 1.0.8 update available

Dear all,

A new version of Steinberg’s remote app Cubase iC Pro is available for download from the App Store.

What’s New in Version 1.2.2

  • Now Supporting Cubase Pro 9 Sampler tracks
  • CueMix faders remain visible if Cubase projects contain VCA fader tracks

The updated SKI Remote extension has to be installed on the computer for Cubase iC Pro 1.2.2 to work properly.
To run Cubase iC Pro on iOS 10, the iOS version 10.3.3 or later must be installed.

Download Cubase iC Pro 1.2.2 for iOS
https://itunes.apple.com/en/app/cubase-ic-pro/id573140262

Download SKI Remote 1.0.8 for Mac OS and Windows
http://www.steinberg.net/ski

Learn more
http://www.steinberg.net/cubaseicpro

Greetings from Hamburg
& best wishes,
Lars

All seems to be working, thanks.

The SKI remote also installed onto Windows 7, although it says for Win 8 and 10

Hi Joss,

Win 8 and 10 are the officially supported and tested operating systems.
Great to hear that you’re able to install and use the SKI Remote extension on Win 7 also.

Best,
Lars

I’m having issues and need to roll back to the previous SKI for IC PRO but it seems it’s been removed. Can you please post that version on the website?

Thanks

when Ski remote new version release for Cubase 9 pro

Hi SuStudio,

In your private message you’ve commented the issue as solved, please confirm here as well.

Thanks,
Lars

Hi milad,

The current SKI Remote update is compatible with Cubase Pro 9:

This Steinberg SKI Remote version requires
Cubase Pro 8.5, Cubase Artist 8.5, Cubase Elements 9, Cubase AI 9 or Cubase LE 9 or later

Best,
Lars

When I go to install it the update, I get the message that another version already exists. So I have to delete the previous version of SKI using install/uninstall my control panel, then install the new version?

Hi gsmccar,

There should be no problem to override the existing installer.
It is also fine to choose the uninstaller first, and follow up with the update.

Best,
Lars

Are these not compatible with Cubase Pro 8?

Hi gsmccar,

Cubase iC Pro 1.2.2 has been officially tested with Cubase Pro 8.5/Pro 9, Cubase Artist 8.5/9 and Cubase LE/AI/Elements 9.
However there should be no problem using the app with older Cubase host versions, such as Cubase Pro 8.

Hope that helps.

Best,
Lars

Maybe I’m entering the wrong IP address. I entered my laptop’s address. Should I enter my iPad’s address instead?

Enter the IP address of the machine running Cubase - in your case your laptop.

@ fenderchris
Thanks for providing a helping hand here…

@gsmccar
Did it help to solve the issue at your end?

Best,
Lars

Hi, I too have updated to the latest version of the SKI remote and my Cubase 9 (Mac OS) will refuses to open. Can I remove the update? If so where can i find it? I can happily manage without the IC pro but I do need cubase to be working.

Thanks.

Hi David,

Please come up with a new topic and provide us with more details about the issue.

Please make sure to provide information about the environment (count the hardware and software including version numbers being used), along with a short description about the problem.

So far, we haven’t seen the issue in our testings.

Best,
Lars

Organise acknowledge people

Running 1.2.2 and SKI 1.0.8 on iPhone 8 and Apple 6th Gen iPad (both running iOS 12.3.1), connecting to my DAW on a 5G WiFi network. DAW is running Win10 1903.

No issues, iC Pro works flawlessly with super quick response from either device to my Cubase Pro 10.0.30 equipped DAW. Thank you Steinberg, this app is essential to my recording process!!!

All seems are working. Thanks for sharing

1 Like